Bug 209375 - multimedia/ffmpeg2theora: Update to 0.30
Summary: multimedia/ffmpeg2theora: Update to 0.30
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://git.xiph.org/?p=ffmpeg2theora...
Keywords: patch
Depends on:
Blocks: 207547
  Show dependency treegraph
 
Reported: 2016-05-08 10:27 UTC by Ben Woods
Modified: 2016-06-09 15:38 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments
Patch to update multimedia/ffmpeg2theora to 0.30 (8.51 KB, patch)
2016-05-08 10:27 UTC, Ben Woods
woodsb02: maintainer-approval? (wg)
Details | Diff
QA: Successful poudriere testport logs for multimedia/ffmpeg2theora 0.30 against current ports tree (FFmpeg 2.8.7,1) on FreeBSD 11-current amd64 (34.70 KB, text/plain)
2016-05-08 12:16 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for multimedia/ffmpeg2theora 0.30 against FFmpeg 3.0.1 (from PR 207547) on FreeBSD 11-current amd64 (41.32 KB, text/plain)
2016-05-08 14:44 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-05-08 10:27:13 UTC
Created attachment 170112 [details]
Patch to update multimedia/ffmpeg2theora to 0.30

multimedia/ffmpeg2theora:
- Update to 0.30
- This new version also allows ffmpeg2theora to build successfully once multimedia/ffmpeg is updated to 3.0.x. Note that multimedia/ffmpeg is currently still on the 2.8.x branch, however this update is backwards compatible with ffmpeg 2.8.x.
- Tidy patches (pet portlint)

  Changes this release:
    https://git.xiph.org/?p=ffmpeg2theora.git;a=blob;f=ChangeLog;h=7b2c20e19e4ca6d042d8f2bb3d4491e513d422fa;hb=ff86d204adf335b6314ef568b08d4af8799f108d
Comment 1 Ben Woods freebsd_committer 2016-05-08 12:16:55 UTC
Created attachment 170113 [details]
QA: Successful poudriere testport logs for multimedia/ffmpeg2theora 0.30 against current ports tree (FFmpeg 2.8.7,1) on FreeBSD 11-current amd64
Comment 2 Ben Woods freebsd_committer 2016-05-08 14:44:53 UTC
Created attachment 170117 [details]
QA: Successful poudriere testport logs for multimedia/ffmpeg2theora 0.30 against FFmpeg 3.0.1 (from PR 207547) on FreeBSD 11-current amd64
Comment 3 Anton Saietskii 2016-06-03 13:57:41 UTC
Is there any progress on this?
Comment 4 Anton Saietskii 2016-06-03 14:00:01 UTC
(In reply to Ben Woods from comment #2)

I think you should request portmgr@ for forced commit because of maintainer timeout.
Comment 5 commit-hook freebsd_committer 2016-06-09 15:30:19 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jun  9 15:29:42 UTC 2016
New revision: 416611
URL: https://svnweb.freebsd.org/changeset/ports/416611

Log:
  multimedia/ffmpeg2theora:
  - Update to 0.30
  - Remove patch-ffmpeg2 (not needed now that 0.30 uses new FFmpeg API)
  - Tidy up remaining patches (pet portlint)

  Changes this release:
    https://git.xiph.org/?p=ffmpeg2theora.git;a=blob;f=ChangeLog;h=7b2c20e19e4ca6d042d8f2bb3d4491e513d422fa;hb=ff86d204adf335b6314ef568b08d4af8799f108d

  This new version also allows ffmpeg2theora to build successfully once
  multimedia/ffmpeg is updated to 3.0.x. Note that multimedia/ffmpeg is
  currently still on the 2.8.x branch, however this update is backwards
  compatible with ffmpeg 2.8.x.

  PR:		209375
  Approved by:	wg (maintainer timeout), mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6784

Changes:
  head/multimedia/ffmpeg2theora/Makefile
  head/multimedia/ffmpeg2theora/distinfo
  head/multimedia/ffmpeg2theora/files/patch-SConstruct
  head/multimedia/ffmpeg2theora/files/patch-ffmpeg2
  head/multimedia/ffmpeg2theora/files/patch-src-subtitles.c
  head/multimedia/ffmpeg2theora/files/patch-src__ffmpeg2theora.c
  head/multimedia/ffmpeg2theora/files/patch-src_ffmpeg2theora.c
  head/multimedia/ffmpeg2theora/files/patch-src_subtitles.c
Comment 6 Ben Woods freebsd_committer 2016-06-09 15:38:20 UTC
Committed. Thanks for the reminder Anton.